testing::internal::IsRecursiveContainerImpl< C, true > Struct Template Reference

`#include <gtest.h>`

## Public Types

using | value_type = decltype(*std::declval< typename C::const_iterator >())
using | type = is_same< typename std::remove_const< typename std::remove_reference< value_type >::type >::type, C >

## Detailed Description

### template<typename C>
struct testing::internal::IsRecursiveContainerImpl< C, true >

Definition at line 7470 of file gtest.h.

## Member Typedef Documentation

## type

template<typename C >

using testing::internal::IsRecursiveContainerImpl< C, true >::type = is_same<typename std::remove_const< typename std::remove_reference<value_type>::type>::type, C>

Definition at line 7475 of file gtest.h.

## value_type

template<typename C >

using testing::internal::IsRecursiveContainerImpl< C, true >::value_type = decltype(*std::declval<typename C::const_iterator>())

Definition at line 7471 of file gtest.h.

The documentation for this struct was generated from the following file:

- test/eclipse-cygwin/lib/gtest/gtest.h